# Initiating A Wireout Payout

When you're ready to perform a wire-out transaction you can check for an estimate of fees by passing in a dollar amount and calling`getWireoutNairaEstimate.`

{% hint style="info" %}
This is an estimate for reference purposes, the final transaction amount might vary slightly depending on when the payment is initiated and when it expires.
{% endhint %}

{% code title="getWireoutNairaEstimate.gql" %}

```bash
query {
  getWireoutNairaEstimate(dollarAmount: 400){
    estimate
    expiresAt
    rate
  }
}
```

{% endcode %}

Then you can perform a wire out transfer, You'll need the `id` returned when you [created a wire out account](/wireout-api/creating-a-us-bank-account.md) then specific the amount:

{% code title="createPayout.gql" %}

```bash
mutation {
  createPayout(wireoutAccount: "fsaffkls32s", amount: 400) {
    amount
    createdAt
    id
    status
    trackingRef
    wireoutAccount
  }
}
```

{% endcode %}

Save the `trackingRef` and `id`this will allow to periodically check the status of your transaction.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendcash.africa/wireout-api/initiating-a-wireout-payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
